> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPayPeriodDetails

> 
The `getPayPeriodDetails` API retrieves detailed information about a specific pay period using a payPeriodId.

### What it does:

- Returns comprehensive pay period details for a specific pay period ID
- Provides pay period dates, deadlines, and associated payroll information
- Provides each employee's payroll details including: gross and net pay amounts, taxes, banking, overtime and additional compensation



## OpenAPI

````yaml get /reports/getPayPeriodDetails
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPayPeriodDetails:
    get:
      tags: []
      summary: getPayPeriodDetails
      description: >-

        The `getPayPeriodDetails` API retrieves detailed information about a
        specific pay period using a payPeriodId.


        ### What it does:


        - Returns comprehensive pay period details for a specific pay period ID

        - Provides pay period dates, deadlines, and associated payroll
        information

        - Provides each employee's payroll details including: gross and net pay
        amounts, taxes, banking, overtime and additional compensation
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayPeriodDetails
                  example: getPayPeriodDetails
                payPeriodId:
                  type: string
                  format: uuid
              required:
                - method
                - payPeriodId
            example:
              method: getPayPeriodDetails
              payPeriodId: 7BF6D637-9E8C-4AF6-A8B0-A24F36CA2F53
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriod:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        PayPeriodStatus:
                          type: string
                        total:
                          type: number
                        employeeTaxSum:
                          type: number
                        employerTaxSum:
                          type: number
                        isProcessed:
                          type: boolean
                        payDate:
                          type: string
                        payEndDate:
                          type: string
                        payBeginDate:
                          type: string
                        workerType:
                          type: object
                          properties:
                            workerType:
                              type: string
                          required:
                            - workerType
                        payPeriodType:
                          type: object
                          properties:
                            payPeriodType:
                              type: string
                          required:
                            - payPeriodType
                        payrollLineItems:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                type: string
                              userName:
                                type: string
                              baseTotal:
                                type: integer
                              numberOfLeaveDays:
                                type: integer
                              lop:
                                type: integer
                              retroAmount:
                                type: integer
                              grossTotal:
                                type: number
                              netTotal:
                                type: number
                              payHours:
                                type: integer
                              payRate:
                                type: integer
                              standardWorkingHours:
                                type: integer
                              employeeTax:
                                type: object
                                properties:
                                  employeeTax:
                                    type: number
                                required:
                                  - employeeTax
                              employeeTaxDetails:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    taxName:
                                      type: string
                                    taxAmount:
                                      type: integer
                                    taxAmountYtd:
                                      type: integer
                                    isEmployerTax:
                                      type: boolean
                                  required:
                                    - taxName
                                    - taxAmount
                                    - taxAmountYtd
                                    - isEmployerTax
                              employerTaxDetails:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    taxName:
                                      type: string
                                    taxAmount:
                                      type: integer
                                    taxAmountYtd:
                                      type: integer
                                    isEmployerTax:
                                      type: boolean
                                  required:
                                    - taxName
                                    - taxAmount
                                    - taxAmountYtd
                                    - isEmployerTax
                              miscellaneousStateTaxes:
                                type: array
                                items:
                                  type: string
                              overTimes:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    type:
                                      type: string
                                    amount:
                                      type: number
                                    numberOfHours:
                                      type: integer
                              additionalCompensations:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    payrollLineItemAdditionalCompensationVertexCompensationIdentifier:
                                      type: object
                                      properties:
                                        compensationDescription:
                                          type: string
                                      required:
                                        - compensationDescription
                                    amount:
                                      type: integer
                                  required:
                                    - >-
                                      payrollLineItemAdditionalCompensationVertexCompensationIdentifier
                                    - amount
                              deductions:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    vertexDeductionIdentifier:
                                      type: object
                                      properties:
                                        deductionDescription:
                                          type: string
                                      required:
                                        - deductionDescription
                                    amount:
                                      type: integer
                                  required:
                                    - vertexDeductionIdentifier
                                    - amount
                              reimbursements:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    reimbursementType:
                                      type: string
                                    amount:
                                      type: integer
                                  required:
                                    - reimbursementType
                                    - amount
                              timeOffs:
                                type: array
                                items:
                                  type: string
                              payDetails:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    payPercentage:
                                      type: integer
                                    amount:
                                      type: number
                                    employeePayAccount:
                                      type: object
                                      properties:
                                        accountName:
                                          type: string
                                      required:
                                        - accountName
                                      nullable: true
                                  required:
                                    - payPercentage
                                    - amount
                                    - employeePayAccount
                              basePay:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    payCode:
                                      type: string
                                    payHours:
                                      type: integer
                                    payRate:
                                      type: integer
                                    multiplier:
                                      type: integer
                                    amount:
                                      type: integer
                                  required:
                                    - payCode
                                    - payHours
                                    - payRate
                                    - multiplier
                                    - amount
                              employee:
                                type: object
                                properties:
                                  employee:
                                    type: string
                                required:
                                  - employee
                            required:
                              - userId
                              - userName
                              - baseTotal
                              - numberOfLeaveDays
                              - lop
                              - retroAmount
                              - grossTotal
                              - netTotal
                              - payHours
                              - payRate
                              - standardWorkingHours
                              - employeeTax
                              - employeeTaxDetails
                              - employerTaxDetails
                              - miscellaneousStateTaxes
                              - overTimes
                              - additionalCompensations
                              - deductions
                              - reimbursements
                              - timeOffs
                              - payDetails
                              - employee
                required:
                  - payPeriod
              example:
                payPeriod:
                  - payPeriodId: EDD9F5D2-BED4-4337-A80C-4DDD33EDFF91
                    payPeriod: 11/01/2025 - 11/30/2025
                    deadLineToRunPayroll: '2025-11-25'
                    PayPeriodStatus: new
                    total: 10426.56
                    employeeTaxSum: 879.35
                    employerTaxSum: 898.9
                    isProcessed: false
                    payDate: '2025-11-28'
                    payEndDate: '2025-11-30'
                    payBeginDate: '2025-11-01'
                    workerType:
                      workerType: W2
                    payPeriodType:
                      payPeriodType: Regular
                    payrollLineItems:
                      - userId: 4DF5A79A-3735-4588-95A6-B80D15CB5A5E
                        userName: Dalary  Beil
                        baseTotal: 4000
                        numberOfLeaveDays: 0
                        lop: 0
                        retroAmount: 4
                        grossTotal: 5236.56
                        netTotal: 4879.39
                        payHours: 173
                        payRate: 4000
                        standardWorkingHours: 8
                        employeeTax:
                          employeeTax: 417.17
                        employeeTaxDetails:
                          - taxName: Federal Withholding Tax
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Medicare
                            taxAmount: 67.96
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Social Security
                            taxAmount: 290.57
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Cares Fund EE
                            taxAmount: 27.47
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: WA - State paid family medical leave EE
                            taxAmount: 31.17
                            taxAmountYtd: 0
                            isEmployerTax: false
                        employerTaxDetails:
                          - taxName: FUTA
                            taxAmount: 18
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Medicare
                            taxAmount: 67.96
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Social Security
                            taxAmount: 290.57
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State Unemployment Insurance
                            taxAmount: 47.37
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State employment admin fund
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State paid family medical leave ER
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                        miscellaneousStateTaxes: []
                        overTimes:
                          - type: Compensatory Time Off
                            amount: 232.56
                            numberOfHours: 10
                        additionalCompensations:
                          - payrollLineItemAdditionalCompensationVertexCompensationIdentifier:
                              compensationDescription: Group Term Life Over $50000
                            amount: 500
                          - payrollLineItemAdditionalCompensationVertexCompensationIdentifier:
                              compensationDescription: Van Pool & Transit Passes
                            amount: 500
                        deductions:
                          - vertexDeductionIdentifier:
                              deductionDescription: 125DC Reg
                            amount: 50
                          - vertexDeductionIdentifier:
                              deductionDescription: 403B CU 15 year Reg
                            amount: 10
                        reimbursements:
                          - reimbursementType: GYM
                            amount: 120
                        timeOffs: []
                        payDetails:
                          - payPercentage: 100
                            amount: 4879.39
                            employeePayAccount:
                              accountName: savings ... 2500
                      - userId: 37C3B7D0-0B5B-4B48-BB76-B18DECE19994
                        userName: Yahir  Greene
                        baseTotal: 1200
                        numberOfLeaveDays: 0
                        lop: 0
                        retroAmount: 0
                        grossTotal: 1250
                        netTotal: 1303.34
                        payHours: 0
                        basePay:
                          - payCode: Deductions
                            payHours: 0
                            payRate: 10
                            multiplier: 0
                            amount: 10
                          - payCode: Training Hours
                            payHours: 6
                            payRate: 200
                            multiplier: 1
                            amount: 1200
                          - payCode: AdditionalCompensation
                            payHours: 0
                            payRate: 50
                            multiplier: 0
                            amount: 50
                          - payCode: Reimbursements
                            payHours: 0
                            payRate: 160
                            multiplier: 0
                            amount: 160
                        payRate: 0
                        standardWorkingHours: 0
                        employeeTax:
                          employeeTax: 106.66
                        employeeTaxDetails:
                          - taxName: Federal Withholding Tax
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Medicare
                            taxAmount: 17.4
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Social Security
                            taxAmount: 74.4
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Cares Fund EE
                            taxAmount: 6.96
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: WA - State paid family medical leave EE
                            taxAmount: 7.9
                            taxAmountYtd: 0
                            isEmployerTax: false
                        employerTaxDetails:
                          - taxName: FUTA
                            taxAmount: 7.2
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Medicare
                            taxAmount: 17.4
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Social Security
                            taxAmount: 74.4
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State Unemployment Insurance
                            taxAmount: 12
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State employment admin fund
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State paid family medical leave ER
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                        miscellaneousStateTaxes: []
                        overTimes: []
                        additionalCompensations:
                          - payrollLineItemAdditionalCompensationVertexCompensationIdentifier:
                              compensationDescription: Van Pool & Transit Passes
                            amount: 50
                        deductions: []
                        reimbursements:
                          - reimbursementType: GYM
                            amount: 160
                        timeOffs: []
                        payDetails:
                          - payPercentage: 100
                            amount: 1303.34
                            employeePayAccount: null
                      - userId: 4BF5464F-0C20-465C-974D-9490770EC374
                        userName: Eve  Bravo
                        baseTotal: 4000
                        numberOfLeaveDays: 0
                        lop: 0
                        retroAmount: 0
                        grossTotal: 4000
                        netTotal: 3644.48
                        payHours: 172
                        payRate: 4000
                        standardWorkingHours: 8
                        employeeTax:
                          employeeTax: 355.52
                        employeeTaxDetails:
                          - taxName: Federal Withholding Tax
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Medicare
                            taxAmount: 58
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Social Security
                            taxAmount: 248
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: Cares Fund EE
                            taxAmount: 23.2
                            taxAmountYtd: 0
                            isEmployerTax: false
                          - taxName: WA - State paid family medical leave EE
                            taxAmount: 26.32
                            taxAmountYtd: 0
                            isEmployerTax: false
                        employerTaxDetails:
                          - taxName: FUTA
                            taxAmount: 18
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Medicare
                            taxAmount: 58
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: Social Security
                            taxAmount: 248
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State Unemployment Insurance
                            taxAmount: 40
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State employment admin fund
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                          - taxName: WA - State paid family medical leave ER
                            taxAmount: 0
                            taxAmountYtd: 0
                            isEmployerTax: true
                        miscellaneousStateTaxes: []
                        overTimes: []
                        additionalCompensations: []
                        deductions: []
                        reimbursements: []
                        timeOffs: []
                        payDetails:
                          - payPercentage: 100
                            amount: 3644.48
                            employeePayAccount: null
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 204
                  message: Invalid PayPeriod
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````